### Function

# RB RhythmDB compute_status_normal

#### Declaration [src]

    char*
    rhythmdb_compute_status_normal (
      gint n_songs,
      glong duration,
      guint64 size,
      const char* singular,
      const char* plural
    )

#### Description [src]

Creates a string containing the “status” information about a list of tracks. The singular and plural strings must be used in a direct ngettext call elsewhere in order for them to be marked for translation correctly.

#### Parameters

`n_songs`

  Type: `gint`

  The number of tracks.

`duration`

  Type: `glong`

  The total duration of the tracks.

`size`

  Type: `guint64`

  The total size of the tracks.

`singular`

  Type: `const char*`

  Singular form of the format string to use for entries (eg “%d song”).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`plural`

  Type: `const char*`

  Plural form of the format string to use for entries (eg “%d songs”).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

The string, which should be freed with g_free.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.